use crate::bootboot::{BOOTBOOT, BOOTBOOT_MAGIC};
use crate::util::get_bootboot;

pub fn check_magic() -> () {
    let boot: BOOTBOOT = get_bootboot();
    assert_eq!(boot.magic, BOOTBOOT_MAGIC[..4]);
}